--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Loads an instance of this Model, taking into account IdentityMap lookup, inheritance columns(s) and Property typecasting.
- !ruby/struct:SM::Flow::P 
  body: "@param [Enumerable(Object)] records"
- !ruby/struct:SM::Flow::VERB 
  body: "  an Array of Resource or Hashes to load a Resource with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Resource]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the loaded Resource instance\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Model#load
is_singleton: false
name: load
params: (records, query)
visibility: public
